Performance
Data Model
Performance
Daily and accumulated performance metrics in the context of a given period.
accumulatedReturn(number): Total profit/loss since the beginning of the period.accumulatedTwr(number): Time-weighted return (TWR) since the beginning of the period.ccyCode(string): ISO 4217 code for the currency (CCY) in which the data is reported.dailyNetCashFlow(number): Net cash flow on the day.dailyReturn(number): Profit/loss on the day.dailyTwr(number): Time-weighted return (TWR) of the day.date(string): ISO 8601 representation of the day on which the data holds.
Relationships
reportingEntity(required)depository(optional)portfolio(optional)instrument(optional)instrumentClass(optional)instrumentClassDetailed(optional)
Private Market Performance
Point-in-time performance metrics for private market fund investments.
nav(number): Net Asset Value of the fund investment as of thenavDatein the fund's currency.navDate(string): ISO 8601 date on which the NAV is reported.date(string): ISO 8601 representation of the reporting date.reportingCcyCode(string): ISO 4217 code for the currency in which the data is reported.fundCcyCode(string): ISO 4217 currency code of the fund’s base currency (the currency in which the fund is denominated).marketValue(number): Current market value of the investment, converted to the reporting currency.commitmentInFundCurrency(object): Capital commitment breakdown, in the fund's currency.total(number): Total committed capital.called(number): Capital called (drawndown) to date.uncalled(number): Remaining capital not yet called.
commitmentInReportingCurrency(object): Capital commitment breakdown, in the reporting currency.total(number): Total committed capital.called(number): Capital called (drawndown) to date.uncalled(number): Remaining capital not yet called.
multiplier(object): Investment multiple metrics.dpi(number): Distributions to Paid-In — realised distributions divided by invested capital.rvpi(number): Residual Value to Paid-In — unrealised value divided by invested capital.tvpi(number): Total Value to Paid-In — total value (realised + unrealised) divided by invested capital.
cashflow(object): Aggregated cash flow summary, in reporting currency.drawdowns(number): Total capital contributions made.distributions(number): Total distributions received.
return(number): Total absolute return for the investment, in reporting currency.irr(number): Internal Rate of Return expressed as a decimal (e.g.0.1542= 15.42%).
Relationships
reportingEntity(required)instrument(optional)
Endpoints
GET /performance/reporting-entities/:id
Get performance metrics in the scope of a reporting entity in a given period.
The default behavior of the endpoint is to aggregate performance for the entire reporting entity, while more granular data can be retrieved by specifying an expand parameter.
Parameters
expand(query): Allows for expansion of the data from the total reporting entity level to lower levels. Possible values: "portfolios", "depositories", "instruments", "instrumentClasses", "instrumentClassesDetailed". Multiple values can be passed as a comma separated list, e.g. "portfolios,instruments".fromDate(query, required): ISO 8601 representation of the first day in the period.id(path, required): Identifier for the reporting entity.include(query, optional): Allows for inclusion of related data. Multiple values can be passed as a comma separated list. Possible values: "instrument".toDate(query, required): ISO 8601 representation of the last day in the period.
Examples
Total Reporting Entity Performance
200 OK
# Request
GET /api/v2/performance/reporting-entities/649ad926fc1a10be9e2ea241
?fromDate=2024-06-03
&toDate=2024-06-04 HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io
# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json
{
"data": [
{
"type": "performance",
"id": "c07hD3wE_S7mfh8Bzz6kYA",
"attributes": {
"date": "2024-06-03",
"ccyCode": "DKK",
"dailyNetCashFlow": 0,
"dailyReturn": 768476,
"dailyTwr": 0.0053,
"accumulatedReturn": 768476,
"accumulatedTwr": 0.0053
},
"relationships": {
"reportingEntity": {
"data": {
"type": "reporting-entity",
"id": "649ad926fc1a10be9e2ea241"
}
}
}
},
{
"type": "performance",
"id": "IrPiqdmtYnx_XSxUpenj9Q",
"attributes": {
"date": "2024-06-04",
"ccyCode": "DKK",
"dailyNetCashFlow": 0,
"dailyReturn": 843334,
"dailyTwr": 0.0045,
"accumulatedReturn": 843334,
"accumulatedTwr": 0.0045
},
"relationships": {
"reportingEntity": {
"data": {
"type": "reporting-entity",
"id": "649ad926fc1a10be9e2ea241"
}
}
}
}
]
}
Performance By Portfolios
Passing expand=portfolios to the endpoint results in per-portfolio performance data.
200 OK
# Request
GET /api/v2/performance/reporting-entities/649ad926fc1a10be9e2ea241
?fromDate=2024-06-03
&toDate=2024-06-03
&expand=portfolios HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io
# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json
{
"data": [
{
"type": "performance",
"id": "c5kVZD1IbVrFYYx6nocYog",
"attributes": {
"date": "2024-06-03",
"ccyCode": "DKK",
"dailyNetCashFlow": 0,
"dailyReturn": 768476,
"dailyTwr": 0.0053,
"accumulatedReturn": 768476,
"accumulatedTwr": 0.0053
},
"relationships": {
"portfolio": {
"data": {
"type": "portfolio",
"id": "649ada0dfc1a10be9e2ea249"
}
},
"reportingEntity": {
"data": {
"type": "reporting-entity",
"id": "649ad926fc1a10be9e2ea241"
}
}
}
},
{
"type": "performance",
"id": "XUkROqQqgQIzaCxZhSeVOw",
"attributes": {
"date": "2024-06-03",
"ccyCode": "DKK",
"dailyNetCashFlow": 0,
"dailyReturn": 843334,
"dailyTwr": 0.0045,
"accumulatedReturn": 843334,
"accumulatedTwr": 0.0045
},
"relationships": {
"portfolio": {
"data": {
"type": "portfolio",
"id": "649aeec93f1ec4e3433b76f5"
}
},
"reportingEntity": {
"data": {
"type": "reporting-entity",
"id": "649ad926fc1a10be9e2ea241"
}
}
}
}
]
}
Performance By Instruments
200 OK
# Request
GET /api/v2/performance/reporting-entities/649ad926fc1a10be9e2ea241
?fromDate=2024-06-03
&toDate=2024-06-03
&expand=instruments HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io
# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json
{
"data": [
{
"type": "performance",
"id": "XW9nG4mq3b7Rtsv46rqVFQ",
"attributes": {
"date": "2024-06-03",
"ccyCode": "DKK",
"dailyNetCashFlow": 0,
"dailyReturn": 768476,
"dailyTwr": 0.0053,
"accumulatedReturn": 768476,
"accumulatedTwr": 0.0053
},
"relationships": {
"instrument": {
"data": {
"type": "instrument",
"id": "649ada0dfc1a10be9e2ea249"
}
},
"reportingEntity": {
"data": {
"type": "reporting-entity",
"id": "649ad926fc1a10be9e2ea241"
}
}
}
},
{
"type": "performance",
"id": "r9yDCO7Ai1ZcrZkRvxLl9w",
"attributes": {
"date": "2024-06-03",
"ccyCode": "DKK",
"dailyNetCashFlow": 0,
"dailyReturn": 843334,
"dailyTwr": 0.0045,
"accumulatedReturn": 843334,
"accumulatedTwr": 0.0045
},
"relationships": {
"instrument": {
"data": {
"type": "instrument",
"id": "649aeec93f1ec4e3433b76f5"
}
},
"reportingEntity": {
"data": {
"type": "reporting-entity",
"id": "649ad926fc1a10be9e2ea241"
}
}
}
}
]
}
Performance By Portfolios and Instruments
200 OK
# Request
GET /api/v2/performance/reporting-entities/649ad926fc1a10be9e2ea241
?fromDate=2024-10-01
&toDate=2024-10-01
&expand=instruments,portfolios HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io
# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json
{
"data": [
{
"type": "performance",
"id": "Mf9mfbvSpEEv8SdIjOMzWA",
"attributes": {
"accumulatedReturn": 17.81772541,
"accumulatedTwr": 2.534854906821593E-05,
"ccyCode": "DKK",
"dailyNetCashFLow": 0,
"dailyReturn": 17.81772541,
"dailyTwr": 2.534854906811493E-05,
"date": "2024-10-01"
},
"relationships": {
"instrument": {
"data": {
"id": "0e496ca224b76c4d9bdbfc7b",
"type": "instrument"
}
},
"reportingEntity": {
"data": {
"id": "649ad926fc1a10be9e2ea241",
"type": "reporting-entity"
}
},
"portfolio": {
"data": {
"id": "666ae70b272d21815633c903",
"type": "portfolio"
}
}
}
},
{
"type": "performance",
"id": "IvxUP77izxqkQVwhPUWQOg",
"attributes": {
"accumulatedReturn": 22.9085041,
"accumulatedTwr": 3.270091222695726E-05,
"ccyCode": "DKK",
"dailyNetCashFLow": 0,
"dailyReturn": 22.9085041,
"dailyTwr": 3.2700912226987384E-05,
"date": "2024-10-01"
},
"relationships": {
"instrument": {
"data": {
"id": "0e496ca224b76c4d9bdbfc7b",
"type": "instrument"
}
},
"reportingEntity": {
"data": {
"id": "649ad926fc1a10be9e2ea241",
"type": "reporting-entity"
}
},
"portfolio": {
"data": {
"id": "666ae70b272d21815633c904",
"type": "portfolio"
}
}
}
}
]
}
Performance By Instrument Class and Detailed Instrument Class
200 OK
# Request
GET /api/v2/performance/reporting-entities/649ad926fc1a10be9e2ea241
?fromDate=2024-10-01
&toDate=2024-10-01
&expand=instrumentClasses,instrumentClassesDetailed HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io
# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json
{
"data": [
{
"type": "performance",
"id": "Mf9mfbvSpEEv8SdIjOMzWA",
"attributes": {
"accumulatedReturn": 17.81772541,
"accumulatedTwr": 2.534854906821593E-05,
"ccyCode": "DKK",
"dailyNetCashFLow": 0,
"dailyReturn": 17.81772541,
"dailyTwr": 2.534854906811493E-05,
"date": "2024-10-01"
},
"relationships": {
"instrumentClass": {
"data": {
"id": "0e496ca224b76c4d9bdbfc7b",
"type": "instrument-class"
}
},
"instrumentClassDetailed": {
"data": {
"id": "666ae70b272d21815633c903",
"type": "instrument-class-detailed"
}
},
"reportingEntity": {
"data": {
"id": "649ad926fc1a10be9e2ea241",
"type": "reporting-entity"
}
}
}
},
{
"type": "performance",
"id": "IvxUP77izxqkQVwhPUWQOg",
"attributes": {
"accumulatedReturn": 22.9085041,
"accumulatedTwr": 3.270091222695726E-05,
"ccyCode": "DKK",
"dailyNetCashFLow": 0,
"dailyReturn": 22.9085041,
"dailyTwr": 3.2700912226987384E-05,
"date": "2024-10-01"
},
"relationships": {
"instrumentClass": {
"data": {
"id": "0e496ca224b76c4d9bdbfc7b",
"type": "instrument-class"
}
},
"instrumentClassDetailed": {
"data": {
"id": "666ae70b272d21815633c904",
"type": "instrument-class-detailed"
}
},
"reportingEntity": {
"data": {
"id": "649ad926fc1a10be9e2ea241",
"type": "reporting-entity"
}
}
}
}
]
}
GET /performance/reporting-entities/:id/private-markets
Get private market performance metrics in the scope of a reporting entity as of a given NAV date. The default behavior is to aggregate across all private market fund instruments within the reporting entity.
Parameters
id(path, required): Identifier for the reporting entity.fromDate(query, required): ISO 8601 date as of which the data is reported.toDate(query, required): ISO 8601 date as of which the data is reported.reportingCurrency(query, optional): ISO 4217 currency code of the reporting currency.
Examples
Private Market Performance
200 OK
# Request
GET /api/v2/performance/reporting-entities/649ad926fc1a10be9e2ea241/private-markets
?fromDate=2026-01-30&toDate=2026-01-31&reportingCurrency=DKK HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io
# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json
{
"data": [
{
"type": "private-market-performance",
"id": "pM3xK9wRqL2nYtA7cZvB0Q",
"attributes": {
"navDate": "2026-01-30",
"nav": 12500000,
"date": "2026-01-31",
"reportingCcyCode": "DKK",
"fundCcyCode": "EUR",
"marketValue": 12500000,
"commitmentInFundCurrency": {
"total": 10000000,
"called": 8500000,
"uncalled": 1500000
},
"commitmentInReportingCurrency": {
"total": 74500000,
"called": 63325000,
"uncalled": 11175000
},
"multiplier": {
"dpi": 0.45,
"rvpi": 1.27,
"tvpi": 1.72
},
"cashflow": {
"drawdowns": 63325000,
"distributions": 28496250
},
"return": 11175000,
"irr": 0.1542
},
"relationships": {
"reportingEntity": {
"data": {
"type": "reporting-entity",
"id": "649ad926fc1a10be9e2ea241"
}
},
"instrument": {
"data": {
"type": "instrument",
"id": "5e6a90cf921d8b1874c32ed5"
}
}
}
}
]
}